Bug 518801

Summary: NETDEV WATCHDOG: eth1 (r8169): transmit timed out
Product: [Fedora] Fedora Reporter: David Rebbe <ic3man5>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: antonio, evan, itamar, kernel-maint, mhlavink, mishu, moneta.mace, nenad
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 10:14:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description David Rebbe 2009-08-22 22:25:13 EDT
Description of problem:
Faulty network created kernel panic through kerneloops

Version-Release number of selected component (if applicable):
2.6.29.6-217.2.8.fc11.i586

How reproducible:
Faulty Network. I've seen this reported a few times else where (google search) saying a faulty cat5 cable caused this. This way was 100% reproducible for me.

Hardware setup:
All other computers<->Switch<->Server<->Cable Modem
Server has three NIC two using the r8169 module.

Steps to Reproduce:
1. Plug both ends of a cat5 wire into the switch to create a loop.
2. Boot Server.
3. Server eventually becomes unstable and locks up due to high cpu usage.
  
Actual results:
Kerneloops details:
WARNING: at net/sched/sch_generic.c:226 dev_watchdog+0xb0/0x105() (Not tainted)
Hardware name: Unknow
NETDEV WATCHDOG: eth1 (r8169): transmit timed out
Modules linked in: fuse ipt_MASQUERADE iptable_nat nf_nat bridge stp llc vboxnetadp vboxnetflt vboxdrv sunrpc nf_conntrack_netbios_ns ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand powernow_k8 dm_multipath uinput snd_hda_codec_realtek ppdev snd_hda_intel snd_hda_codec ata_generic pata_acpi snd_hwdep r8169 snd_pcm tulip k8temp snd_timer mii snd hwmon parport_pc soundcore i2c_piix4 pcspkr parport floppy pata_atiixp snd_page_alloc radeon drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 2365, comm: nm-applet Not tainted 2.6.29.6-217.2.8.fc11.i586 #1
Call Trace:
[<c042ebaa>] warn_slowpath+0x7c/0xa4
[<c049a800>] ? init_alloc_cpu_cpu+0x1f/0x4d
[<c067d77c>] ? __kfree_skb+0x6f/0x72
[<c069ade2>] ? nf_hook_slow+0x5f/0x96
[<c067d77c>] ? __kfree_skb+0x6f/0x72
[<c067d80a>] ? kfree_skb+0x5a/0x5f
[<c067ed1b>] ? __netdev_alloc_skb+0x1b/0x36
[<c067e300>] ? skb_pad+0xc4/0xcf
[<f8188392>] ? pci_map_single+0x31/0x38 [r8169]
[<c0445e88>] ? clocksource_read+0xc/0xf
[<c0682482>] ? list_add_tail+0x12/0x14
[<c06924b5>] dev_watchdog+0xb0/0x105
[<c0692405>] ? dev_watchdog+0x0/0x105
[<c0436eae>] ? run_timer_softirq+0x110/0x1c0
[<c0433aad>] ? irq_exit+0x54/0x77
[<c0405a36>] ? do_IRQ+0x97/0xad
[<c0692405>] ? dev_watchdog+0x0/0x105
[<c0436eee>] run_timer_softirq+0x150/0x1c0
[<c0692405>] ? dev_watchdog+0x0/0x105
[<c0433845>] __do_softirq+0x99/0x139
[<c0433937>] do_softirq+0x52/0x7e
[<c0433aa2>] irq_exit+0x49/0x77
[<c04148b6>] smp_apic_timer_interrupt+0x6e/0x7c
[<c040469d>] apic_timer_interrupt+0x2d/0x40
---[ end trace 191e04878b4f6be5 ]---


Expected results:
Should be unaffected like the rest of the NIC/computers on the switch.


Additional info:
00:00.0 Host bridge: ATI Technologies Inc RS690 Host Bridge
00:01.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (Internal gfx)
00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 13)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS690 [Radeon X1200 Series]
02:00.0 Ethernet controller: ADMtek NC100 Network Everywhere Fast Ethernet 10/100 (rev 11)
02:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
02:05.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8110SC/8169SC Gigabit Ethernet (rev 10)


02:00.0 Ethernet controller: ADMtek NC100 Network Everywhere Fast Ethernet 10/100 (rev 11)
	Subsystem: ADMtek Device 0574
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (63750ns min, 63750ns max), Cache Line Size: 4 bytes
	Interrupt: pin A routed to IRQ 20
	Region 0: I/O ports at de00 [size=256]
	Region 1: Memory at fdbff000 (32-bit, non-prefetchable) [size=1K]
	[virtual] Expansion ROM at fde00000 [disabled] [size=128K]
	Capabilities: [c0] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=100mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: tulip
	Kernel modules: tulip

02:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
	Subsystem: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (8000ns min, 16000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: I/O ports at dc00 [size=256]
	Region 1: Memory at fdbfe000 (32-bit, non-prefetchable) [size=256]
	[virtual] Expansion ROM at fde20000 [disabled] [size=128K]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: r8169
	Kernel modules: r8169

02:05.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8110SC/8169SC Gigabit Ethernet (rev 10)
	Subsystem: Elitegroup Computer Systems Device 8167
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (8000ns min, 16000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at da00 [size=256]
	Region 1: Memory at fdbfd000 (32-bit, non-prefetchable) [size=256]
	[virtual] Expansion ROM at fde40000 [disabled] [size=128K]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: r8169
	Kernel modules: r8169
Comment 1 David Rebbe 2009-08-22 22:30:33 EDT
kerneloops upload:
http://www.kerneloops.org/submitresult.php?number=654638
Comment 2 Antonio Gallardo 2010-01-13 16:06:17 EST
I am getting same issue in a more recent F11 kernel:

Version-Release number of selected component (if applicable):
2.6.30.10-105.fc11.i586

Hardware setup:
All other computers<->Switch<->Server<->Cable Modem
Server has 2 NIC. Just 1 is a r8169 module. r8169 it is connected to the switch.

Actual result:
Jan 13 13:30:37 ags01 kernel: ------------[ cut here ]------------
Jan 13 13:30:37 ags01 kernel: WARNING: at net/sched/sch_generic.c:226 dev_watchdog+0xb0/0x105() (Not tainted)
Jan 13 13:30:37 ags01 kernel: Hardware name: MS-7253
Jan 13 13:30:37 ags01 kernel: NETDEV WATCHDOG: eth1 (r8169): transmit timed out
Jan 13 13:30:37 ags01 kernel: Modules linked in: nfsd lockd nfs_acl auth_rpcgss exportfs autofs4 ip6table_filter ip6_tables xt_time xt_connlimit xt_realm iptable_raw xt_policy ipt_ULOG ipt_REDIRECT ipt_NETMAP ipt_LOG ipt_ECN ipt_ecn ipt_CLUSTERIP ipt_ah ipt_addrtype nf_nat_tftp nf_nat_snmp_basic nf_nat_sip nf_nat_pptp nf_nat_proto_gre nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda ts_kmp nf_conntrack_amanda nf_conntrack_sane nf_conntrack_tftp nf_conntrack_sip nf_conntrack_proto_sctp nf_conntrack_pptp nf_conntrack_proto_gre nf_conntrack_netlink nf_conntrack_netbios_ns nf_conntrack_irc nf_conntrack_h323 nf_conntrack_ftp xt_tcpmss xt_recent xt_pkttype xt_physdev xt_owner xt_NFQUEUE xt_NFLOG nfnetlink_log xt_multiport xt_MARK xt_mark xt_mac xt_limit xt_length xt_iprange xt_helper xt_hashlimit xt_DSCP xt_dscp xt_dccp xt_CONNMARK xt_connmark xt_CLASSIFY nfnetlink w83627ehf hwmon_vid sunrpc ipv6 ipt_MASQUERADE iptable_nat nf_nat iptable_mangle xt_comment cpufreq_ondemand powernow_k8 snd_hda_codec_realtek snd_hda_inte
Jan 13 13:30:37 ags01 kernel: l snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer via_rhine k8temp snd i2c_viapro r8169 soundcore usblp hwmon mii pcspkr pata_via serio_raw snd_page_alloc ata_generic pata_acpi sata_via nouveau drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Jan 13 13:30:37 ags01 kernel: Pid: 0, comm: swapper Not tainted 2.6.30.10-105.fc11.i586 #1
Jan 13 13:30:37 ags01 kernel: Call Trace:
Jan 13 13:30:37 ags01 kernel: [<c042f56e>] warn_slowpath_common+0x70/0x87
Jan 13 13:30:37 ags01 kernel: [<c06b6cee>] ? dev_watchdog+0xb0/0x105
Jan 13 13:30:37 ags01 kernel: [<c042f5c3>] warn_slowpath_fmt+0x29/0x38
Jan 13 13:30:37 ags01 kernel: [<c06b6cee>] dev_watchdog+0xb0/0x105
Jan 13 13:30:37 ags01 kernel: [<c04468ce>] ? getnstimeofday+0x57/0xde
Jan 13 13:30:37 ags01 kernel: [<c06b6c3e>] ? dev_watchdog+0x0/0x105
Jan 13 13:30:37 ags01 kernel: [<c043741a>] ? run_timer_softirq+0x110/0x1a6
Jan 13 13:30:37 ags01 kernel: [<c04497a0>] ? clockevents_program_event+0xc4/0xd2
Jan 13 13:30:37 ags01 kernel: [<c06b6c3e>] ? dev_watchdog+0x0/0x105
Jan 13 13:30:37 ags01 kernel: [<c043744c>] run_timer_softirq+0x142/0x1a6
Jan 13 13:30:37 ags01 kernel: [<c06b6c3e>] ? dev_watchdog+0x0/0x105
Jan 13 13:30:37 ags01 kernel: [<c0433d6a>] __do_softirq+0x94/0x139
Jan 13 13:30:37 ags01 kernel: [<c0433e45>] do_softirq+0x36/0x41
Jan 13 13:30:37 ags01 kernel: [<c0433f37>] irq_exit+0x2e/0x5c
Jan 13 13:30:37 ags01 kernel: [<c0413bbc>] smp_apic_timer_interrupt+0x6d/0x7b
Jan 13 13:30:37 ags01 kernel: [<c0403dea>] apic_timer_interrupt+0x2a/0x30
Jan 13 13:30:37 ags01 kernel: [<c041af1c>] ? native_safe_halt+0xa/0xc
Jan 13 13:30:37 ags01 kernel: [<c040907d>] default_idle+0x45/0x6d
Jan 13 13:30:37 ags01 kernel: [<c0409192>] c1e_idle+0xed/0xf2
Jan 13 13:30:37 ags01 kernel: [<c04026e5>] cpu_idle+0x4e/0x69
Jan 13 13:30:37 ags01 kernel: [<c0727946>] start_secondary+0x1f5/0x233
Jan 13 13:30:37 ags01 kernel: ---[ end trace 628c9b178326832f ]---
Jan 13 13:30:37 ags01 kernel: r8169: eth1: link up
Jan 13 13:30:49 ags01 kernel: r8169: eth1: link up
Jan 13 13:31:01 ags01 kernel: r8169: eth1: link up

Additional info:

# lspci
00:00.0 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.1 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.2 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.3 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.4 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:00.5 PIC: VIA Technologies, Inc. K8M890CE I/O APIC Interrupt Controller
00:00.7 Host bridge: VIA Technologies, Inc. K8M890CE Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]
00:02.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:03.0 PCI bridge: VIA Technologies, Inc. K8T890 PCI to PCI Bridge Controller
00:0f.0 IDE interface: VIA Technologies, Inc. VT8237A SATA 2-Port Controller (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 07)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev a0)
00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237A PCI to ISA Bridge
00:11.7 Host bridge: VIA Technologies, Inc. VT8251 Ultra VLINK Controller
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 7c)
00:13.0 Host bridge: VIA Technologies, Inc. VT8237A Host Bridge
00:13.1 PCI bridge: VIA Technologies, Inc. VT8237A PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
02:00.0 VGA compatible controller: nVidia Corporation NV44 [GeForce 6200 TurboCache(TM)] (rev a1)
04:05.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
80:01.0 Audio device: VIA Technologies, Inc. VT1708/A [Azalia HDAC] (VIA High Definition Audio Controller) (rev 10)

# lspci -vvv -s 00:12.0
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 7c)
        Subsystem: Micro-Star International Co., Ltd. Device 7253
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64 (750ns min, 2000ns max), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 23
        Region 0: I/O ports at f200 [size=256]
        Region 1: Memory at dfffe000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: via-rhine
        Kernel modules: via-rhine

04:05.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
        Subsystem: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64 (8000ns min, 16000ns max), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: I/O ports at be00 [size=256]
        Region 1: Memory at dfaff000 (32-bit, non-prefetchable) [size=256]
        [virtual] Expansion ROM at df900000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: r8169
        Kernel modules: r8169
Comment 3 Evan Klitzke 2010-02-08 13:23:26 EST
I believe that this is related to, or the same as, https://bugzilla.redhat.com/show_bug.cgi?id=538920
Comment 4 Bug Zapper 2010-04-28 05:54:11 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 10:14:43 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.